Loading...
Searching...
No Matches
xua_common_hdr Struct Reference

`#include <xua_types.h>`

## Data Fields

uint8_t | version
uint8_t | spare
uint8_t | msg_class
uint8_t | msg_type
uint32_t | msg_length
uint8_t | data [0]

## Field Documentation

## data

uint8_t xua_common_hdr::data[0]

Referenced by m3ua_rx_msg(), and sua_rx_msg().

## msg_class

uint8_t xua_common_hdr::msg_class

Referenced by data_hdr_from_m3ua(), hmdt_message_for_distribution(), m3ua_rx_msg(), m3ua_to_msg(), msgb_push_m3ua_hdr(), osmo_sua_to_sccp(), sccp_sclc_rx_from_scrc(), sua_is_connectionless(), sua_is_cr(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), sua_to_msg(), xua_dialect_check_all_mand_ies(), xua_hdr_dump(), xua_msg_dump(), and xua_msg_event_map().

## msg_length

uint32_t xua_common_hdr::msg_length

Referenced by msgb_push_m3ua_hdr(), xua_from_msg(), xua_msg_dump(), and xua_to_msg().

## msg_type

uint8_t xua_common_hdr::msg_type

Referenced by data_hdr_from_m3ua(), hmdt_message_for_distribution(), m3ua_encode_dava(), m3ua_rx_mgmt(), m3ua_rx_rkm(), m3ua_rx_snm_asp(), m3ua_rx_snm_sg(), m3ua_rx_xfer(), msgb_push_m3ua_hdr(), osmo_sua_to_sccp(), sccp_sclc_rx_from_scrc(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), sccp_scoc_rx_inval_src_ref(), sccp_scoc_rx_unass_local_ref(), sccp_scrc_rx_sclc_msg(), sccp_scrc_rx_scoc_conn_msg(), sua_encode_dava(), sua_is_cr(), sua_rx_cl(), sua_rx_co(), sua_rx_mgmt(), sua_rx_snm_asp(), sua_rx_snm_sg(), xua_dialect_check_all_mand_ies(), xua_hdr_dump(), and xua_msg_event_map().

## spare

uint8_t xua_common_hdr::spare

Referenced by msgb_push_m3ua_hdr(), and xua_to_msg().

## version

uint8_t xua_common_hdr::version

Referenced by m3ua_encode_duna(), m3ua_encode_dupu(), m3ua_gen_error(), m3ua_rx_msg(), m3ua_tx_snm_congestion(), msgb_push_m3ua_hdr(), peer_send_error(), sua_encode_duna(), sua_encode_dupu(), sua_gen_error(), sua_rx_msg(), sua_tx_snm_congestion(), xua_from_msg(), xua_msg_dump(), and xua_to_msg().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/xua_types.h